JSON for Modern C++ 3.7.3

Static Public Member Functions | List of all members
nlohmann::adl_serializer< typename, typename > Struct Template Reference

default JSONSerializer template argument More...

`#include <json.hpp>`

## Static Public Member Functions
template<typename BasicJsonType , typename ValueType >
static auto | from_json (BasicJsonType &&j, ValueType &val) noexcept(noexcept(::nlohmann::from_json(std::forward< BasicJsonType >(j), val))) -> decltype(::nlohmann::from_json(std::forward< BasicJsonType >(j), val), void())
| convert a JSON value to any value type More...
template<typename BasicJsonType , typename ValueType >
static auto | to_json (BasicJsonType &j, ValueType &&val) noexcept(noexcept(::nlohmann::to_json(j, std::forward< ValueType >(val)))) -> decltype(::nlohmann::to_json(j, std::forward< ValueType >(val)), void())
| convert any value type to a JSON value More...

## Detailed Description

### template<typename, typename>
struct nlohmann::adl_serializer< typename, typename >

This serializer ignores the template arguments and uses ADL (argument-dependent lookup) for serialization.

Definition at line 4187 of file json.hpp.